"use strict";

var _index = require("../index");

test('Passing empty object to all arguments', () => {
  const schema = {};
  const customOptions = {};
  const processEnv = {};
  const output = (0, _index.applyValuesToSchema)(schema, customOptions, processEnv);
  expect(output).toStrictEqual({});
}); // if sc9hema is a empty object all the output also empty object

test('Passing empty object to scheme', () => {
  const schema = {};
  const customOptions = {
    firstData: 'hi'
  };
  const processEnv = {
    hello: 'hi'
  };
  const output = (0, _index.applyValuesToSchema)(schema, customOptions, processEnv);
  expect(output).toStrictEqual({});
});
test('Passing empty object to scheme and processEnv', () => {
  const schema = {};
  const customOptions = {
    firstData: 'hi'
  };
  const processEnv = {};
  const output = (0, _index.applyValuesToSchema)(schema, customOptions, processEnv);
  expect(output).toStrictEqual({});
});
test('Passing empty object to scheme and  customOptions', () => {
  const schema = {};
  const customOptions = {};
  const processEnv = {
    hello: 'hi'
  };
  const output = (0, _index.applyValuesToSchema)(schema, customOptions, processEnv);
  expect(output).toStrictEqual({});
});